osl::eval::ml::RookPawnY Class Reference

`#include <majorPiece.h>`

## Public Types

enum | { ONE_DIM = 180 , DIM = ONE_DIM * EvalStages }

## Static Public Member Functions

static void | setUp (const Weights &weights)
static MultiInt | eval (const NumEffectState &state, const CArray2d< int, 2, 9 > &pawns)

## Static Private Member Functions

static int | index (const Piece rook, const int pawn_y)
static int | indexY (const Square king, const Piece rook, int pawn_y)

## Static Private Attributes

static CArray< MultiInt, 180 > | table
static CArray< MultiInt, 1620 > | y_attack_table
static CArray< MultiInt, 1620 > | y_defense_table

## Friends

class | RookPawnYX

## Detailed Description

Definition at line 81 of file majorPiece.h.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
ONE_DIM |
DIM |

Definition at line 85 of file majorPiece.h.

## Member Function Documentation

## eval()

MultiInt osl::eval::ml::RookPawnY::eval | ( | const NumEffectState & | state,
|  | const CArray2d< int, 2, 9 > & | pawns )

static

Definition at line 83 of file majorPiece.cc.

References osl::BLACK, index(), indexY(), osl::Piece::isOnBoard(), osl::SimpleState::kingSquare(), osl::Piece::owner(), osl::SimpleState::pieceOf(), osl::Piece::square(), table, osl::WHITE, osl::Square::x(), y_attack_table, and y_defense_table.

Referenced by osl::eval::ml::OpenMidEndingEval::OpenMidEndingEval(), and osl::eval::ml::OpenMidEndingEval::updateSub().

## index()

int osl::eval::ml::RookPawnY::index | ( | const Piece | rook,
|  | const int | pawn_y )

inline static private

Definition at line 90 of file majorPiece.h.

References osl::BLACK, osl::Piece::isPromoted(), osl::Piece::owner(), osl::Piece::square(), and osl::Square::y().

Referenced by eval().

## indexY()

int osl::eval::ml::RookPawnY::indexY | ( | const Square | king,
|  | const Piece | rook,
|  | int | pawn_y )

inline static private

Definition at line 96 of file majorPiece.h.

References osl::BLACK, osl::Piece::isPromoted(), osl::Piece::owner(), osl::Piece::square(), osl::Square::x(), and osl::Square::y().

Referenced by eval().

## setUp()

void osl::eval::ml::RookPawnY::setUp | ( | const Weights & | weights | ) |

static

Definition at line 73 of file majorPiece.cc.

References osl::NStages, ONE_DIM, table, and osl::eval::ml::Weights::value().

## Friends And Related Symbol Documentation

## RookPawnYX

friend class RookPawnYX

friend

Definition at line 83 of file majorPiece.h.

References RookPawnYX.

Referenced by RookPawnYX.

## Member Data Documentation

## table

osl::CArray< MultiInt, 180 > osl::eval::ml::RookPawnY::table

static private

Definition at line 104 of file majorPiece.h.

Referenced by eval(), and setUp().

## y_attack_table

osl::CArray< MultiInt, 1620 > osl::eval::ml::RookPawnY::y_attack_table

static private

Definition at line 105 of file majorPiece.h.

Referenced by eval(), and osl::eval::ml::RookPawnYX::setUp().

## y_defense_table

osl::CArray< MultiInt, 1620 > osl::eval::ml::RookPawnY::y_defense_table

static private

Definition at line 106 of file majorPiece.h.

Referenced by eval(), and osl::eval::ml::RookPawnYX::setUp().

The documentation for this class was generated from the following files:

- majorPiece.h
- majorPiece.cc